--- Makefile.orig	2012-04-12 03:37:14.000000000 +0900
+++ Makefile	2012-11-10 08:41:14.000000000 +0900
@@ -3,7 +3,7 @@
 SHVER = 2
 OS = $(shell uname)
 
-all: svm-train svm-predict svm-scale
+all: svm-train svm-predict svm-scale libsvm.a libsvm.dylib
 
 lib: svm.o
 	if [ "$(OS)" = "Darwin" ]; then \
@@ -21,5 +21,14 @@
 	$(CXX) $(CFLAGS) svm-scale.c -o svm-scale
 svm.o: svm.cpp svm.h
 	$(CXX) $(CFLAGS) -c svm.cpp
+libsvm.a: svm.o
+	ar rc libsvm.a svm.o
+	ranlib libsvm.a
+libsvm.dylib: svm.o
+	$(CXX) $(CFLAGS) -dynamiclib -install_name $(PREFIX)/lib/libsvm.dylib \
+                         -current_version $(VERSION) \
+                         -compatibility_version $(VERSION) \
+                         -o libsvm.$(VERSION).dylib svm.o
 clean:
 	rm -f *~ svm.o svm-train svm-predict svm-scale libsvm.so.$(SHVER)
+	rm -f *.a *.dylib
